Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Interface ConstructEditing

All Known Implementing Classes:
  AConstructEditorPanel, ActionFormPanel, AROEditorPanel.AROFormPanel, GExpansionEditor, GlobalFormPanel, GrammarEditorPanel.GrammarFormPanel

    public interface ConstructEditing

An interface to be implemented by any panel that actually edits a construct. Examples are ActionFormEditor and GExpansionEditor.

Method Summary
`IXObject` | `getConstruct()` Gets the current construct.
`UIObject` | `getUIConstruct()` Gets the current UI construct.
`UIDomain` | `getUIDomain()` Gets the current UIDomain.
`void` | `loadFromObject()` Saves the data from the panel into the current object.
`void` | `saveToObject(EditableObject object)` Saves the data from the panel into the given object.
`void` | `setConstruct(IXObject construct)` Sets the current construct.
`void` | `setUIConstruct(UIObject construct)` Sets the current UI construct.
`void` | `setUIConstructOnly(UIObject construct)` Sets the current UI construct without noting changes.

Method Detail

### getUIDomain

    UIDomain getUIDomain()

  Gets the current UIDomain.

### getConstruct

    IXObject getConstruct()

  Gets the current construct.

### setConstruct

    void setConstruct(IXObject construct)

  Sets the current construct.

### getUIConstruct

    UIObject getUIConstruct()

  Gets the current UI construct.

### setUIConstruct

    void setUIConstruct(UIObject construct)

  Sets the current UI construct. Remember to parent.fireConstructChanged(old, new)

### setUIConstructOnly

    void setUIConstructOnly(UIObject construct)

  Sets the current UI construct without noting changes. Remember to parent.fireConstructChanged(old, new)

### saveToObject

    void saveToObject(EditableObject object)

  Saves the data from the panel into the given object.

### loadFromObject

    void loadFromObject()

  Saves the data from the panel into the current object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD